Gantry::Utils::DBConnHelper::MP20(3)

NAME
Gantry::Utils::DBConnHelper::MP20 - connection info and dbh cache manager for mod_perl 2.0

SYNOPSIS
    use Gantry::Utils::DBConnHelper::MP20;

    # defined these PerlSetVars (as needed):
    #     dbconn
    #     dbuser
    #     dbpass
    #     auth_dbconn
    #     auth_dbuser
    #     auth_dbpass

DESCRIPTION
When you use a model which inherits from Gantry::Utils::CDBI or Gantry::Utils::Model, using this module can help with database connection management. Feel free to implement your own subclass of Gantry::Utils::DBConnHelper if you need more control.

This module is designed to work with mod_perl 2.0. There is another module for mod_perl 1.3.

METHODS
See Gantry::Utils::DBConnHelper for a description of the methods available here. But, note that there are no set_conn_info or set_auth_conn_info methods here. All values are taken from PerlSetVars.

If you do not define an auth_dbconn PerlSetVar, this module will return the regular connection information, if it is ever asked for auth connection information.

Here is a list of the methods in this module:

get_auth_conn_info
get_auth_dbh
get_conn_info
get_dbh
set_auth_dbh
set_dbh

AUTHOR
Phil Crow <philcrow2000@yahoo.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-6, Phil Crow.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.